> ## Documentation Index
> Fetch the complete documentation index at: https://exsited.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List a component object's workflow milestones

> Returns one page of a component object's workflow milestones.

Lists the workflow milestones of the object. Entries are under `data` and paging details under `pagination`. Fields filter as `filter_<field>`.

> [!NOTE]
>
> The SDK samples get their client from credentials your app registers once when it starts, as shown in [Authentication](https://exsited.mintlify.site/authentication.md#set-up-a-client). To try the call here, click **Try it**, set `host` to your Exsited API host name and paste an access token from [Get an access token](https://exsited.mintlify.site/api-reference/authentication/get-an-access-token.md).


## OpenAPI

````yaml GET /components/{component_uuid}/objects/{component_object_id}/milestones
openapi: 3.1.0
info:
  title: Exsited API
  version: v4
servers:
  - url: https://{host}/api/v4
    variables:
      host:
        default: your-api-host.example.com
        description: Your Exsited API host name, without https://.
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Account emails
  - name: Account groups
  - name: Communications
  - name: Communication profiles
  - name: Orders
  - name: Quote orders
  - name: Express
  - name: Usages
  - name: Sales reps
  - name: Gift certificates
  - name: Invoices
  - name: Pro-forma invoices
  - name: Payments
  - name: Refunds
  - name: Credit notes
  - name: Credit note applications
  - name: Reconciliations
  - name: Items
  - name: Inventory adjustments
  - name: Units of measurement
  - name: Zones
  - name: Shipping packages
  - name: Shipping rules
  - name: Fulfillment profiles
  - name: Fulfillment terms
  - name: Item fulfillments
  - name: Item receipts
  - name: Bookings
  - name: Rental assets
  - name: Return merchandise authorisations
  - name: Purchase orders
  - name: Purchase invoices
  - name: Purchase payments
  - name: Purchase refunds
  - name: Purchase credit notes
  - name: Purchase credit note applications
  - name: Purchase express
  - name: Return vendor authorizations
  - name: ABA files
  - name: Receive terms
  - name: Labours
  - name: Tasks
  - name: Timesheets
  - name: Milestones
  - name: Employees
  - name: Departments
  - name: Designations
  - name: Teams
  - name: Time periods
  - name: Workflows
  - name: Workflow settings
  - name: Events
  - name: Custom events
  - name: System events
  - name: Approvals
  - name: Approval profiles
  - name: Approval user groups
  - name: Alerts
  - name: Alert responsibility settings
  - name: Alert responsibilities
  - name: Action scripts
  - name: Note groups
  - name: Note attachments
  - name: Instance settings
  - name: Accounting codes
  - name: Additional codes
  - name: Billing periods
  - name: Charging periods
  - name: Pricing periods
  - name: Invoice terms
  - name: Days of the month
  - name: Countries
  - name: Salutations
  - name: Document templates
  - name: Email templates
  - name: Roles
  - name: Operators
  - name: Operator groups
  - name: User settings
  - name: Custom attributes
  - name: Custom components
  - name: Custom features
  - name: Custom fields
  - name: Custom forms
  - name: Attribute attachments
  - name: Portal
  - name: Integration connections
  - name: External databases
  - name: Reports
  - name: Applications
  - name: Organisation
  - name: Child organisations
  - name: Webhooks
paths:
  /components/{component_uuid}/objects/{component_object_id}/milestones:
    get:
      tags:
        - Custom components
      summary: List a component object's workflow milestones
      description: >-
        Lists the workflow milestones of the object. Entries are under `data`
        and paging details under `pagination`. Fields filter as
        `filter_<field>`.
      operationId: custom_components_get_component_object_milestones
      parameters:
        - name: component_uuid
          in: path
          required: true
          description: The component definition's `id`, which starts with `cmp_`.
          schema:
            type: string
        - name: component_object_id
          in: path
          required: true
          description: >-
            The component object's `id`, as returned when it is created or
            listed.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: The most records to return on one page.
          schema:
            type: integer
            example: 20
        - name: cursor
          in: query
          required: false
          description: The `next_cursor` from the previous page, to read the page after it.
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            A field to sort by, such as `created_on`, or `-created_on` for
            newest first.
          schema:
            type: string
            example: '-created_on'
      responses:
        '200':
          description: One page of workflow milestones, under `data`.
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >-
            curl -X GET
            "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/milestones?limit=20"
            \
              -H "Authorization: Bearer $ACCESS_TOKEN"
        - lang: python
          label: Python
          source: |
            from exsited import build_client

            client = build_client()

            response = client.custom_components.get_component_object_milestones(
                "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
                "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
                {"limit": 20},
            )
            print(response.data)
        - lang: javascript
          label: JavaScript
          source: >
            import {buildClient} from 'exsited';


            const client = await buildClient();


            const response = await
            client.customComponents.getComponentObjectMilestones(
                'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
                'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
                {limit: 20},
            );

            console.log(response.data);
        - lang: php
          label: PHP
          source: |
            use Exsited\Client\ClientRegistry;

            $client = ClientRegistry::buildClient();

            $response = $client->customComponents->getComponentObjectMilestones(
                'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
                'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
                ['limit' => 20],
            );
            print_r($response->data);
        - lang: java
          label: Java
          source: >
            import com.exsited.Dto;

            import com.exsited.client.ApiResponse;

            import com.exsited.client.ClientRegistry;

            import com.exsited.client.ExsitedClient;

            import java.util.Map;


            ExsitedClient client = ClientRegistry.buildClient();


            ApiResponse<Dto> response =
            client.customComponents().getComponentObjectMilestones(
                    "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
                    "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
                    Map.of("limit", 20));
            System.out.println(response.getMap());
        - lang: csharp
          label: .NET
          source: >
            using Exsited.Client;


            await using var client = ExsitedClient.BuildClient();


            var response = await
            client.CustomComponents.GetComponentObjectMilestonesAsync(
                "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
                "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
                new Dictionary<string, object?> { ["limit"] = 20 });

            Console.WriteLine(response.Json);
        - lang: dart
          label: Dart
          source: >
            import 'package:exsited/exsited.dart';


            final client = buildClient();


            final response = await
            client.customComponents.getComponentObjectMilestones(
              'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
              'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
              queryParams: {'limit': 20},
            );

            print(response.map);
        - lang: go
          label: Go
          source: "import (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\n\texsited \"github.com/exsited/exsited-sdk-go/v4\"\n)\n\nclient, err := exsited.BuildClient(nil)\nif err != nil {\n\tlog.Fatal(err)\n}\ndefer client.Close()\n\nresponse, err := client.CustomComponents().GetComponentObjectMilestones(context.Background(), \"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d\", \"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e\", map[string]any{\"limit\": 20}, nil)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Println(response.Map)\n"
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        An access token from `POST /api/v4/oauth2/token`. The SDKs get and renew
        it for you.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.